Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class VariableUsageFinder

- groovy.org.codenarc.rule.unnecessary.VariableUsageFinder

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `found`
    `String` | `targetVariable`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)`

- - ### Property Detail

    - #### boolean found

    - #### String targetVariable

  - ### Method Detail

    - #### @Override void visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)